Freeciv-3.1: pf_map Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
pf_map Struct Reference

## Data Fields

void(* | destroy )(struct pf_map *pfm)
int(* | get_move_cost )(struct pf_map *pfm, struct tile *ptile)
struct pf_path *(* | get_path )(struct pf_map *pfm, struct tile *ptile)
bool(* | get_position )(struct pf_map *pfm, struct tile *ptile, struct pf_position *pos)
bool(* | iterate )(struct pf_map *pfm)
struct tile * | tile
struct pf_parameter | params

## Detailed Description

Definition at line 78 of file path_finding.c.

## Field Documentation

## ◆ destroy

void(* pf_map::destroy) (struct pf_map *pfm)

Definition at line 84 of file path_finding.c.

Referenced by pf_danger_map_new(), pf_fuel_map_new(), pf_map_destroy(), and pf_normal_map_new().

## ◆ get_move_cost

int(* pf_map::get_move_cost) (struct pf_map *pfm, struct tile *ptile)

Definition at line 85 of file path_finding.c.

Referenced by pf_danger_map_new(), pf_fuel_map_new(), pf_map_iter_move_cost(), pf_map_move_cost(), and pf_normal_map_new().

## ◆ get_path

struct pf_path *(* pf_map::get_path) (struct pf_map *pfm, struct tile *ptile)

Definition at line 85 of file path_finding.c.

Referenced by pf_danger_map_new(), pf_fuel_map_new(), pf_map_iter_path(), pf_map_path(), and pf_normal_map_new().

## ◆ get_position

bool(* pf_map::get_position) (struct pf_map *pfm, struct tile *ptile, struct pf_position *pos)

Definition at line 87 of file path_finding.c.

Referenced by pf_danger_map_new(), pf_fuel_map_new(), pf_map_iter_position(), pf_map_position(), and pf_normal_map_new().

## ◆ iterate

bool(* pf_map::iterate) (struct pf_map *pfm)

Definition at line 89 of file path_finding.c.

Referenced by pf_danger_map_new(), pf_fuel_map_new(), pf_map_iterate(), pf_normal_map_new(), and pf_reverse_map_pos().

## ◆ params

struct pf_parameter pf_map::params

Definition at line 93 of file path_finding.c.

Referenced by pf_danger_map_move_cost(), pf_danger_map_new(), pf_danger_map_path(), pf_danger_map_position(), pf_fuel_map_move_cost(), pf_fuel_map_new(), pf_fuel_map_path(), pf_fuel_map_position(), pf_map_parameter(), pf_normal_map_move_cost(), pf_normal_map_new(), pf_normal_map_path(), and pf_normal_map_position().

## ◆ tile

struct tile* pf_map::tile

Definition at line 92 of file path_finding.c.

Referenced by pf_danger_map_iterate(), pf_danger_map_new(), pf_fuel_map_iterate(), pf_fuel_map_new(), pf_jumbo_map_iterate(), pf_map_iter(), pf_map_iter_move_cost(), pf_map_iter_path(), pf_map_iter_position(), pf_map_iterate(), pf_normal_map_iterate(), pf_normal_map_new(), and pf_reverse_map_pos().